Summary: Tool for data storage configuration
Name: blivet-gui
Version: 2.4.2
Release: 3%{?dist}.1
Source0: http://github.com/storaged-project/blivet-gui/releases/download/%{version}/%{name}-%{version}.tar.gz
Source1: blivet-gui_event.conf
Patch0: 0001-Fix-segfault-when-trying-to-reuse-an-invalid-GtkTreeIter.patch
Patch1: 0002-Add-cmdline-option-to-force-blivet-gui-to-keep-above.patch
Patch2: 0003-Add-cmdline-option-to-enabled-blivets-auto_dev_updates-flag.patch
Patch3: 0004-add-nvme.patch
License: GPL-2.0-or-later
BuildArch: noarch
URL: http://github.com/storaged-project/blivet-gui

BuildRequires: desktop-file-utils
BuildRequires: libappstream-glib

Requires: blivet-gui-runtime = %{version}-%{release}
Requires: PolicyKit-authentication-agent
Requires: polkit
Requires: libblockdev-plugins-all

%description
Graphical (GTK) tool for manipulation and configuration of data storage
(disks, LVMs, RAIDs) based on blivet library.

%package -n blivet-gui-runtime
Summary: blivet-gui runtime

BuildRequires: python3-devel
BuildRequires: gettext >= 0.18.3
BuildRequires: python3-setuptools
BuildRequires: make

Requires: python3
Requires: python3-gobject
Requires: python3-blivet >= 1:3.3.0
Requires: gtk3
Requires: python3-pid
Requires: libreport

%description -n blivet-gui-runtime
This package provides a blivet-gui runtime for applications that want to use
blivet-gui without actually installing the application itself.

%prep
%autosetup -n %{name}-%{version} -p1

%build
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

desktop-file-validate %{buildroot}/%{_datadir}/applications/blivet-gui.desktop
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/blivet-gui.appdata.xml

mkdir -p %{buildroot}/%{_sysconfdir}/libreport/events.d/
install -m644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/libreport/events.d/

mkdir -p %{buildroot}/%{_localstatedir}/log/blivet-gui

%find_lang %{name}

%files -n blivet-gui
%{_datadir}/applications/blivet-gui.desktop
%{_datadir}/appdata/blivet-gui.appdata.xml

%files -n blivet-gui-runtime -f %{name}.lang
%{_mandir}/man1/blivet-gui.1*
%{python3_sitelib}/*
%{_datadir}/polkit-1/actions/org.fedoraproject.pkexec.blivet-gui.policy
%{_datadir}/icons/hicolor/*/apps/blivet-gui.png
%{_datadir}/blivet-gui
%{_bindir}/blivet-gui
%{_bindir}/blivet-gui-daemon
%{_localstatedir}/log/blivet-gui
%{_sysconfdir}/libreport/events.d/blivet-gui_event.conf

%changelog
* Tue Sep 12 2023 Vojtech Trefny <vtrefny@redhat.com> - 2.4.2-3
- Add cmdline option to force blivet-gui to keep above other apps (#2238282)
- Add a cmdline option to enabled blivet's auto_dev_updates flag (#2238292)
